
AC_DEFUN([AC_SEARCH_NICE],
[

  AX_BOOST_BASE([1.35])
  AX_BOOST_PROGRAM_OPTIONS
  AC_SEARCH_ICE

  #Adding ICE libs and include paths
  if test "$ICE_LDFLAGS"; then
     ac_nice_libdir="$ICE_LDFLAGS" 
  fi
  if test "$ICE_CXXFLAGS"; then
     ac_nice_incdir="$ICE_CXXFLAGS"
  fi
  if test "$ICE_LIBS"; then
     ac_nice_libs="$ICE_LIBS"
  fi
  if test "$ICE_SLICEFILES"; then
     ac_nice_incdir="$ac_nice_incdir $ICE_SLICEFILES" 
  fi

  #Adding BOOST libs and include paths
  if test "$BOOST_LDFLAGS"; then
     ac_nice_libdir="$ac_nice_libdir $BOOST_LDFLAGS"
  fi
  if test "$BOOST_CPPFLAGS"; then
     ac_nice_incdir="$ac_nice_incdir $BOOST_CPPFLAGS"
  fi

  AC_SUBST(NICE_LDFLAGS, "$ac_nice_libdir")
  AC_SUBST(NICE_CXXFLAGS, "$ac_nice_incdir")
  AC_SUBST(NICE_LIBS, "$ac_nice_libs -lNice")
])

