/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */
#ifndef CUTEST_SPH_BACKGROUND_H_
#define CUTEST_SPH_BACKGROUND_H_

#include <cpl.h>

static
int cutest_sph_background_init_testsuite() ;

static
int cutest_sph_background_clean_testsuite() ;

static
void
cutest_sph_background_apply_to_raw_cubes(void);

static
cpl_frameset*
__cutest_sph_background_fixture_raw_cubes( int ncubes,
		int nplanes,
		int nx,
		int ny,
		cpl_frameset* inframes);

static
void
__cutest_sph_background_verify_constant_cubes( cpl_frameset* inframes, double val );

#endif /*CUTEST_SPH_BACKGROUND_H_*/
