/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifndef SPH_CUTEST_IFS_MASTER_DETECTOR_FLAT_H_
#define SPH_CUTEST_IFS_MASTER_DETECTOR_FLAT_H_

int cutest_init_master_detector_flat_testsuite(void);
int cutest_clean_master_detector_flat_testsuite(void);
void cutest_ifs_master_detector_flat_common_setup( cpl_frameset** frames, cpl_parameterlist** params);
void cutest_ifs_master_detector_flat_common_teardown( cpl_frameset* frames, cpl_parameterlist* params);
void cutest_ifs_master_detector_flat_check_frames(void);
void cutest_ifs_master_detector_flat_check_params(void);
void cutest_ifs_master_detector_flat_new(void);
void cutest_ifs_master_detector_flat_delete(void);
void cutest_ifs_master_detector_flat_run(void);
int main(int argc, char* argv[]);

#endif
