/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifndef CUTEST_IFS_MASTER_DFF_ALL_INPUTS_IN_ONE_TEST_H_
#define CUTEST_IFS_MASTER_DFF_ALL_INPUTS_IN_ONE_TEST_H_


int cutest_init_ifs_master_dff_all_inputs_testsuite(void);
int cutest_clean_ifs_master_dff_all_inputs_testsuite(void);
void cutest_ifs_master_dff_all_inputs_common_setup( cpl_frameset** frames, cpl_parameterlist** params);
void cutest_ifs_master_dff_all_inputs_common_teardown( cpl_frameset* frames, cpl_parameterlist* params);
void cutest_ifs_master_dff_all_inputs_check_frames(void);
int main(int argc, char* argv[]);

#endif /* CUTEST_IFS_MASTER_DFF_ALL_INPUTS_IN_ONE_TEST_H_ */
